﻿@{
    ViewBag.Title = "نتیجه ارسال پیامک";
    var result = ViewBag.Result != null ? (bool)ViewBag.Result : false;
    var smsCount = ViewBag.SMSCount != null ? (int)ViewBag.SMSCount : 0;
    var isMass = ViewBag.IsMass != null ? (bool)ViewBag.IsMass : false;
    var to = ViewBag.To != null ? (SendSMSTo)ViewBag.To : SendSMSTo.AllUsers;
    var text = ViewBag.Text != null ? (string)ViewBag.Text : "";
}

<div class="row">
    <div class="col-12">
        @if (result)
        {
            <p>ارسال پیامک به صورت @(isMass ? "گروهی" : "تک به تک") برای @to.ToDisplay(DisplayProperty.Description) ثبت شد.</p>
            <p>تعداد شماره ها: @smsCount</p>
            <p>متن پیام: @text</p>
        }
        else
        {
            <p>خطا در ارسال پیامک</p>
        }
    </div>
</div>

